﻿<?xml version="1.0" encoding="utf-8" ?>
<!--Created with Liquid XML Studio Designer Edition 8.1.4.2482 (http://www.liquid-technologies.com)-->
<xs:schema elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="CTSEnableRefundCreateResponse">
        <xs:complexType>
            <xs:all>
                <xs:element name="DateTimeStamp">
                    <xs:complexType>
                        <xs:simpleContent>
                            <xs:extension base="xs:dateTime">
                                <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                            </xs:extension>
                        </xs:simpleContent>
                    </xs:complexType>
                </xs:element>
                <xs:element name="SuccessFlag">
                    <xs:annotation>
                        <xs:documentation>Service Data Success is an internal flag to indicate 
the operational success of the request, and not the 
physical success of the service, which is indicated 
by the boolean on the Function call.
This is only required in the service "Output".
					</xs:documentation>
                    </xs:annotation>
                    <xs:complexType>
                        <xs:simpleContent>
                            <xs:extension base="xs:boolean" />
                        </xs:simpleContent>
                    </xs:complexType>
                </xs:element>
                <xs:element name="RefundHeader">
                    <xs:complexType>
                        <xs:all>
                            <xs:element name="Source">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string">
                                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="SourceOrderNumber">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string">
                                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="RefundDate">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:dateTime">
                                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="RefundSeq">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:integer">
                                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="LoyaltyCardNumber">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string">
                                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryChargeRefundValue">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:decimal">
                                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="RefundTotal">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:decimal">
                                            <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                        </xs:extension>
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                        </xs:all>
                    </xs:complexType>
                </xs:element>
                <xs:element name="RefundLines">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="RefundLine" minOccurs="0" maxOccurs="unbounded">
                                <xs:complexType>
                                    <xs:all>
                                        <xs:element name="SourceLineNo">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:integer">
                                                        <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                                    </xs:extension>
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="ProductCode">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:string">
                                                        <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                                    </xs:extension>
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="QuantityCancelled">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:integer">
                                                        <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                                    </xs:extension>
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="RefundLineValue">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:decimal">
                                                        <xs:attribute name="ValidationStatus" type="xs:string" use="optional" />
                                                    </xs:extension>
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                    </xs:all>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
            </xs:all>
        </xs:complexType>
    </xs:element>
</xs:schema>
